#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-6czsF0iqs8U1OCTfqwwH75
key:                  lsp-1.2.0.1-6czsF0iqs8U1OCTfqwwH75
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  f2f1577d7fb1df250587885d899cd263
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-5ZDhAhVXwh26RkjVYTlxh:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-5ZDhAhVXwh26RkjVYTlxh:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-5ZDhAhVXwh26RkjVYTlxh:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-5ZDhAhVXwh26RkjVYTlxh:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-6czsF0iqs8U1OCTfqwwH75
depends:
    aeson-1.5.6.0-6rBoO6bU0Qo8Yma8Si89de
    async-2.2.4-70qwKLxomDG7uuvcVfCGq2
    attoparsec-0.14.4-R00hSHCjmo7OsW0dxMCO2 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dependent-map-0.4.0.0-BXNi7PKqMGCKrWZa0sV004 exceptions-0.10.4
    hashable-1.4.1.0-4IP0Gt0vSEl8UoOyFHwRQX
    hslogger-1.3.1.0-H967zLGYSfeAcdm27LL3t1
    lens-5.1.1-BWxklFYC3Me2N3JrIlYkZT
    lsp-types-1.3.0.1-5ZDhAhVXwh26RkjVYTlxh mtl-2.2.2
    network-uri-2.6.4.1-BGPJIvUETPDIY3T3wtqoZj
    random-1.2.1.1-C8aN1mO2C5BFfFmB9GY7Ok
    scientific-0.3.7.0-GRg8FM6ZZOSA03UkddW954
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    uuid-1.3.15-3WGSgxtz8ylDeTzhpgKGgm

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

